[FFmpeg-cvslog] fate: add tests for testsrc.

Nicolas George git at videolan.org
Mon Feb 27 17:23:44 CET 2012


ffmpeg | branch: master | Nicolas George <nicolas.george at normalesup.org> | Sat Feb 25 12:54:52 2012 +0100| [47bd0bc461ee2a9ca833bc1862f3dd4641751426] | committer: Nicolas George

fate: add tests for testsrc.

This test uses the lavfi device and
is ready for more similar tests.

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=47bd0bc461ee2a9ca833bc1862f3dd4641751426
---

 tests/lavfi-regression.sh |   12 ++++++++++++
 tests/ref/lavfi/testsrc   |    1 +
 2 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/tests/lavfi-regression.sh b/tests/lavfi-regression.sh
index 74e5373..84fb757 100755
--- a/tests/lavfi-regression.sh
+++ b/tests/lavfi-regression.sh
@@ -76,6 +76,18 @@ if [ -n "$do_pixdesc" ]; then
     done
 fi
 
+do_lavfi_lavd() {
+    label=$1
+    graph=$2
+    shift 2
+    [ $test = $label ] || return 0
+    printf '%-20s' $label
+    run_avconv $DEC_OPTS -f lavfi -i $graph \
+        $ENC_OPTS -vcodec rawvideo $* -f nut md5:
+}
+
+do_lavfi_lavd "testsrc"              "testsrc=r=7:n=2:d=10"
+
 # TODO: add tests for
 # direct rendering,
 # chains with feedback loops
diff --git a/tests/ref/lavfi/testsrc b/tests/ref/lavfi/testsrc
new file mode 100644
index 0000000..3155e32
--- /dev/null
+++ b/tests/ref/lavfi/testsrc
@@ -0,0 +1 @@
+testsrc             293ef5d915068333412acdceb2746a0a



More information about the ffmpeg-cvslog mailing list